%define momorel 3

Summary: FFmpeg Streaming Multimedia System
Name: ffmpeg
Version: 0.4.8
Release: %{momorel}m
License: GPL
Group: Development/Libraries
%NoSource 0 http://telia.dl.sourceforge.net/sourceforge/ffmpeg/%{name}-%{version}.tar.gz e00d47614ba1afd99ad2ea387e782dd9
URL: http://ffmpeg.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root/
BuildPreReq: libvorbis-devel, a52dec-devel
BuildPreReq: zlib-devel >= 1.1.4-5m
Provides: libavcodec.so
Provides: libavformat.so

### include local configuration
%{?include_specopt}
# just a sample
# %%define extraconfopt --enable-mp3lame

%description
ffmpeg is a hyper fast realtime audio/video encoder, a streaming
server and a generic audio and video file converter. 

It can grab from a standard Video4Linux video source and convert it
into several file formats based on DCT/motion compensation
encoding. Sound is compressed in MPEG audio layer 2 or using an AC3
compatible stream.

%prep
%setup -q
#%setup -q -n %{name}

%build
find . -name "CVS" | xargs rm -rf
%configure --enable-shared --enable-vorbis \
  %{?extraconfopt}
%make
make -C doc

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
if [ "$1" = 0 ]; then
    /sbin/ldconfig
fi

%files 
%defattr(-, root, root)
%doc COPYING CREDITS Changelog README doc/TODO doc/*.html doc/*.conf
%{_bindir}/*
%{_includedir}/ffmpeg
%{_libdir}/*
%{_mandir}/man1/ffmpeg.1*
%{_mandir}/man1/ffplay.1*
%{_mandir}/man1/ffserver.1*

%changelog
* Sat Apr 24 2004 Toru Hoshina <t@momomnga-linux.org>
- (0.1-7m)
- explicitly provides libavcodec.so and libavformat.so for anaconda.

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (0.4.8-2m)
- revised spec for enabling rpm 4.2.

* Wed Nov  5 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (0.4.8-1m)
- update to 0.4.8

* Tue Aug 26 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.4.7-1m)

* Tue Apr 08 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.6-0.20021210.2m)
- rebuild against zlib 1.1.4-5m

* Wed Dec 11 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.4.6-0.20021210.1m)

* Sun Nov 10 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.4.6-0.20021110.1m)

* Sat Sep  7 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.4.6-0.20020907.1m)
- initial import to Momonga
